local DlgInfo = {
    ["ChangeBtn"] = {
        ["Normal"] = "NingfaTie_NarutoHenshin",
        ["Changed"] = "NingfaTie_CancelHenshin",
    },
    ["3Dmodel"] = {
        ["DummyOffsetX"] = 730,
        ["DummyOffsetY"] = 400,
        ["DummyScale"] = 200,
        ["MountRotate"] = -50,
    },
    ["RankBtn"] = {
        ["AniSection"] = "NingfaTie_AnNiuBtn",
        ["NormalType"] = 19,
        ["SelectedType"] = 10,
    },
    ["RankList"] = {
        ["Icon1"] = "NingfaTie_FirstPic",
        ["Icon2"] = "NingfaTie_SecondPic",
        ["Icon3"] = "NingfaTie_ThirdPic",
        ["Bg1"] = "NingfaTie_FirstBG",
        ["Bg2"] = "NingfaTie_SecondBG",
        ["Bg3"] = "NingfaTie_ThirdBG",
    },
	["EquipShow"] = {
		["Control"] = "1-1-1-1-1-1-0-1-1-0",
	},
	["RankLimit"] = {
		["CountNum"] = 10,
	}
}

--0ܰ 267״̬
--1Ӱ
local NinSuit = {
	["Renfer"] = {
		[0] = 267,
		[1] = 268,
		[2] = 269,
		[3] = 270,
		[4] = 271,
		[5] = 272,
	},
--ͬԱ
	[1] = {
		[267] = 81490000,
		[268] = 7119083,
		[269] = 7119086,
		[270] = 7119087,
		[271] = 7119082,
		[272] = 7119085,
	},
	[2] = {
		[267] = 81490000,
		[268] = 8119083,
		[269] = 8119086,
		[270] = 8119087,
		[271] = 8119088,
		[272] = 8119085,
	},
}

local NinJaRankUI = {
	[0] = {
		Normal = "NingfaTie_CallFrog",
		Gray = "NingfaTie_NOCallFrog",
		Cancel = "NingfaTie_CancelCall",
	},
	[1] = {
		Normal = "NingfaTie_HYMZ",
				Gray = "NingfaTie_NOHYMZ",
		Cancel = "NingfaTie_QXHYMZ",
	},
	[2] = {
		Normal = "NingfaTie_SYMZ",
				Gray = "NingfaTie_NOSYMZ",
		Cancel = "NingfaTie_QXSYMZ",
	},
	[3] = {
		Normal = "NingfaTie_TYMZ",
				Gray = "NingfaTie_NOTYMZ",
		Cancel = "NingfaTie_QXTYMZ",
	},
	[4] = {
		Normal = "NingfaTie_FYMZ",
		Gray = "NingfaTie_NOFYMZ",
		Cancel = "NingfaTie_QXFYMZ",
	},
	[5] = {
		Normal = "NingfaTie_LYMZ",
				Gray = "NingfaTie_NOLYMZ",
		Cancel = "NingfaTie_QXLYMZ",
	},
}


local function GetDlgInfo(index,key)
    return DlgInfo[index][key]
end

local function GetNinSuitId(index,key)
    return NinSuit[index][key]
end

local function GetNinJaRankUI(index,key) 
    return NinJaRankUI[index][key]
end

local function Unload() 
    DlgInfo = nil
	NinSuit = nil
	NinJaRankUI = nil
end

local NinjutsuRank = {
	GetNinSuitId = GetNinSuitId,
    GetDlgInfo = GetDlgInfo,
	GetNinJaRankUI = GetNinJaRankUI,
    Unload = Unload,
}

-- C++?????????global??????
NinjutsuRank_GetDlgInfo = NinjutsuRank.GetDlgInfo
NinjutsuRank_GetNinSuitId = NinjutsuRank.GetNinSuitId
NinjutsuRank_GetNinJaRankUI = NinjutsuRank.GetNinJaRankUI
NinjutsuRank_Unload = NinjutsuRank.Unload

return NinjutsuRank