local T_TaskUI ={
	[0]={
		BG="Mission_LowTask",
		Title="Mission_LowTaskWZ",
		Icon="Mission_LowTaskPic",
	},
	[1]={
		BG="Mission_MiddleTask",
		Title="Mission_MiddleTaskWZ",
		Icon="Mission_MiddleTaskPic",
	},
	[2]={
		BG="Mission_HighTask",
		Title="Mission_HighTaskWZ",
		Icon="Mission_HighTaskPic",
	},
	[3]={
		BG="Mission_SuperTask",
		Title="Mission_SuperTaskWZ",
		Icon="Mission_SuperTaskPic",
	},
	ImgOffset = 10,--只有两个奖励时偏移量
	TextWidth = 200,--任务描述文本框长度
	LBtnOffsetX = 40,--左边按钮偏移量X
	LBtnOffsetY = 450,
	RBtnOffsetX = 170,--右边按钮偏移量X
	RBtnOffsetY = 450,
	CBtnOffsetX = 0,--中间按钮偏移量X
	CBtnOffsetY = 450,
}

local T_TaskClubConfig = {
	FreeTime = 1,--免费次数
	UpLimitTime = 6,--完成任务上限次数
	FreshItem = 3315438,--刷新物品Item
	OpenCondition = 00110,--打开条件 转世次数*1000+等级
	ExsitTime=500,--
	OverDay = 14,--超期刷新时间
}

local T_TaskClubAward ={
--奖励位置偏移量
	[1] = {
		AWRX0 = 120,
		AWRY0 = 380,
	},
	[2] = {
		AWRX0 = 85,
		AWRY0 = 380,
		AWRX1 = 165,
		AWRY1 = 380,
	},	
	[3] = {
		AWRX0 = 60,
		AWRY0 = 380,
		AWRX1 = 120,
		AWRY1 = 380,
		AWRX2 = 180,
		AWRY2 = 380,
	},		
}


local T_TaskData={
--任务id为索引
	[590000]={
	--名字，描述，品级，奖励个数，职业图标
		Name="STR_TASK_CLUB_NAME_1",
		Des="STR_TASK_CLUB_DES_1",
		Level=0,
		Award_Num=3,
		Award={
		--物品ITEM 赠品属性
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
		--物品ITEM 赠品属性
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
				},
		Target={
			Map_x = 344,
			Map_y = 442,
			Map_id = 1002,
			-- NpcID = 22050,
		},		
		TargetPassion={
			Map_x = 295,
			Map_y = 431,
			Map_id = 1036,
			-- NpcID = 15745,
		},
	},
	[590001]={
		Name="STR_TASK_CLUB_NAME_2",
		Des="STR_TASK_CLUB_DES_2",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 3009100,
				num = 5,
				monopoly = 0,
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				num = 5,
				monopoly = 0,
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		
		Target={
			Map_x = 378,
			Map_y = 383,
			Map_id = 1002,
			-- NpcID = 25784,
		},	
		TargetPassion={
			Map_x = 635,
			Map_y = 452,
			Map_id = 1036,
			-- NpcID = 9998,
		},
	},
	[590002]={
		Name="STR_TASK_CLUB_NAME_3",
		Des="STR_TASK_CLUB_DES_3",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num = 5,
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num = 5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
			
		},
		Target={
			Map_x = 324,
			Map_y = 384,
			Map_id = 1002,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 411,
			Map_y = 616,
			Map_id = 1036,
			-- NpcID = 9998,
		},
	},
	[590003]={
		Name="STR_TASK_CLUB_NAME_4",
		Des="STR_TASK_CLUB_DES_4",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 315,
			Map_y = 384,
			Map_id = 1002,
			-- NpcID = 9998,
		},		
		TargetPassion={
			Map_x = 184,
			Map_y = 362,
			Map_id = 1036,
			-- NpcID = 9998,
		},
	},
	[590004]={
		Name="STR_TASK_CLUB_NAME_5",
		Des="STR_TASK_CLUB_DES_5",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num = 5,
				 
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly =3,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num = 5,
				 
			},
			[1] = {
				value = 3314205,
				monopoly = 3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1002,
			-- NpcID = 25784,
		},	
		TargetPassion={
			Map_x = 67,
			Map_y = 291,
			Map_id = 1036,
			-- NpcID = 9998,
		},
	},
	[590005]={
		Name="STR_TASK_CLUB_NAME_6",
		Des="STR_TASK_CLUB_DES_6",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 730001,
				monopoly = 3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 730001,
				monopoly = 3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 164,
			Map_y = 130,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 164,
			Map_y = 130,
			Map_id = 10764,
			-- NpcID = 9998,
		},
	},
	[590006]={
		Name="STR_TASK_CLUB_NAME_7",
		Des="STR_TASK_CLUB_DES_7",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 159,
			Map_y = 130,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 159,
			Map_y = 130,
			Map_id = 10764,
			-- NpcID = 9998,
		},
	},
	[590007]={
		Name="STR_TASK_CLUB_NAME_8",
		Des="STR_TASK_CLUB_DES_8",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
			
			
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
			
			
		},
		Target={
			Map_x = 158,
			Map_y = 135,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 158,
			Map_y = 135,
			Map_id = 10764,
			-- NpcID = 9998,
		},
	},
	[590008]={
		Name="STR_TASK_CLUB_NAME_9",
		Des="STR_TASK_CLUB_DES_9",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 157,
			Map_y = 140,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 157,
			Map_y = 140,
			Map_id = 10764,
			-- NpcID = 9998,
		},
	},
	[590009]={
		Name="STR_TASK_CLUB_NAME_10",
		Des="STR_TASK_CLUB_DES_10",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num = 5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num = 5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 176,
			Map_y = 133,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 176,
			Map_y = 133,
			Map_id = 10764,
			-- NpcID = 9998,
		},
	},
	[590010]={
		Name="STR_TASK_CLUB_NAME_11",
		Des="STR_TASK_CLUB_DES_11",
		Level=0,
		Award_Num=3,

		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num = 2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num = 5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 172,
			Map_y = 132,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 172,
			Map_y = 132,
			Map_id = 10764,
			-- NpcID = 9998,
		},
	},
	[590011]={
		Name="STR_TASK_CLUB_NAME_12",
		Des="STR_TASK_CLUB_DES_12",
		Pro="Mission_RZExclusive",
		Level=0,
		Award_Num=2,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num = 20,
			},
			[1] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num = 20,
			},
			[1] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 164,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26202,
		},	
		TargetPassion={
			Map_x = 164,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26202,
		},
	},
	[590012]={
		Name="STR_TASK_CLUB_NAME_13",
		Des="STR_TASK_CLUB_DES_13",
		Pro="Mission_RZExclusive",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
			},
		},
		Target={
			Map_x = 159,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26203,
		},	
		TargetPassion={
			Map_x = 159,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26203,
		},
	},
	[590013]={
		Name="STR_TASK_CLUB_NAME_14",
		Des="STR_TASK_CLUB_DES_14",
		Pro="Mission_RZExclusive",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				 num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 158,
			Map_y = 135,
			Map_id = 10764,
			NpcID = 26204,
		},	
		TargetPassion={
			Map_x = 158,
			Map_y = 135,
			Map_id = 10764,
			NpcID = 26204,
		},
	},
	[590014]={
		Name="STR_TASK_CLUB_NAME_15",
		Des="STR_TASK_CLUB_DES_15",
		Pro="Mission_RZExclusive",
		Level=0,
		Award_Num=2,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=20,
			},
			[1] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=20,
			},
			[1] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 157,
			Map_y = 140,
			Map_id = 10764,
			NpcID = 26227,
		},	
		TargetPassion={
			Map_x = 157,
			Map_y = 140,
			Map_id = 10764,
			NpcID = 26227,
		},
	},
	[590015]={
		Name="STR_TASK_CLUB_NAME_16",
		Des="STR_TASK_CLUB_DES_16",
		Pro="Mission_RZExclusive",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 176,
			Map_y = 133,
			Map_id = 10764,
			NpcID = 26229,
		},		
		TargetPassion={
			Map_x = 176,
			Map_y = 133,
			Map_id = 10764,
			NpcID = 26229,
		},		
	},
	[590016]={
		Name="STR_TASK_CLUB_NAME_17",
		Des="STR_TASK_CLUB_DES_17",
		Pro="Mission_RZExclusive",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 172,
			Map_y = 132,
			Map_id = 10764,
			NpcID = 26230,
		},	
		TargetPassion={
			Map_x = 172,
			Map_y = 132,
			Map_id = 10764,
			NpcID = 26230,
		},	
	},
	[590017]={
		Name="STR_TASK_CLUB_NAME_18",
		Des="STR_TASK_CLUB_DES_18",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 164,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26202,
		},	
		TargetPassion={
			Map_x = 164,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26202,
		},
	},
	[590018]={
		Name="STR_TASK_CLUB_NAME_19",
		Des="STR_TASK_CLUB_DES_19",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 159,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26202,
		},
		TargetPassion={
			Map_x = 159,
			Map_y = 130,
			Map_id = 10764,
			NpcID = 26202,
		},
	},
	[590019]={
		Name="STR_TASK_CLUB_NAME_20",
		Des="STR_TASK_CLUB_DES_20",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 158,
			Map_y = 135,
			Map_id = 10764,
			NpcID = 26204,
		},	
		TargetPassion={
			Map_x = 158,
			Map_y = 135,
			Map_id = 10764,
			NpcID = 26204,
		},
	},
	[590020]={
		Name="STR_TASK_CLUB_NAME_21",
		Des="STR_TASK_CLUB_DES_21",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 3,
				num=3,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 157,
			Map_y = 140,
			Map_id = 10764,
			NpcID = 26227,
		},	
		TargetPassion={
			Map_x = 157,
			Map_y = 140,
			Map_id = 10764,
			NpcID = 26227,
		},
	},
	[590021]={
		Name="STR_TASK_CLUB_NAME_22",
		Des="STR_TASK_CLUB_DES_22",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 176,
			Map_y = 133,
			Map_id = 10764,
			NpcID = 26229,
		},		
		TargetPassion={
			Map_x = 176,
			Map_y = 133,
			Map_id = 10764,
			NpcID = 26229,
		},		
	},
	[590022]={
		Name="STR_TASK_CLUB_NAME_23",
		Des="STR_TASK_CLUB_DES_23",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 720027,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 172,
			Map_y = 132,
			Map_id = 10764,
			NpcID = 26230,
		},	
		TargetPassion={
			Map_x = 172,
			Map_y = 132,
			Map_id = 10764,
			NpcID = 26230,
		},	
	},
	[590023]={
		Name="STR_TASK_CLUB_NAME_24",
		Des="STR_TASK_CLUB_DES_24",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
				 
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730001,
				monopoly = 3,
				num = 2,
				 
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 531,
			Map_y = 298,
			Map_id = 1002,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 253,
			Map_y = 323,
			Map_id = 10364,
			-- NpcID = 15745,
		},
	},
	[590024]={
		Name="STR_TASK_CLUB_NAME_25",
		Des="STR_TASK_CLUB_DES_25",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 550,
			Map_y = 382,
			Map_id = 1002,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 326,
			Map_y = 375,
			Map_id = 10364,
			}	
	},
	[590025]={
		Name="STR_TASK_CLUB_NAME_26",
		Des="STR_TASK_CLUB_DES_26",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 536,
			Map_y = 469,
			Map_id = 1002,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 376,
			Map_y = 342,
			Map_id = 10364,
		}
	},
	[590026]={
		Name="STR_TASK_CLUB_NAME_27",
		Des="STR_TASK_CLUB_DES_27",

		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 730001,
				monopoly = 3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730001,
				monopoly = 3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 478,
			Map_y = 492,
			Map_id = 1002,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 384,
			Map_y = 272,
			Map_id = 10364,
		}
	},
	[590027]={
		Name="STR_TASK_CLUB_NAME_28",
		Des="STR_TASK_CLUB_DES_28",
		
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 531,
			Map_y = 245,
			Map_id = 1002,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 379,
			Map_y = 217,
			Map_id = 10364,
		}
	},
	[590028]={
		Name="STR_TASK_CLUB_NAME_29",
		Des="STR_TASK_CLUB_DES_29",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 264,
			Map_y = 120,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 264,
			Map_y = 120,
			Map_id = 10764,
		}
	},
	[590029]={
		Name="STR_TASK_CLUB_NAME_30",
		Des="STR_TASK_CLUB_DES_30",
		
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 730001,
				monopoly = 3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
			
		},
		PassionAward={
			[0] = {
				value = 730001,
				monopoly = 3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
			
		},
		Target={
			Map_x = 168,
			Map_y = 172,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 168,
			Map_y = 172,
			Map_id = 10764,
		}
	},
	[590030]={
		Name="STR_TASK_CLUB_NAME_31",
		Des="STR_TASK_CLUB_DES_31",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009100,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 142,
			Map_y = 242,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 142,
			Map_y = 242,
			Map_id = 10764,
		}
	},
	[590031]={
		Name="STR_TASK_CLUB_NAME_32",
		Des="STR_TASK_CLUB_DES_32",
		Level=0,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=5,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315884,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 150,
			Map_y = 274,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 150,
			Map_y = 274,
			Map_id = 10764,
		}
	},
	[590032]={
		Name="STR_TASK_CLUB_NAME_33",
		Des="STR_TASK_CLUB_DES_33",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590033]={
		Name="STR_TASK_CLUB_NAME_34",
		Des="STR_TASK_CLUB_DES_34",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590034]={
		Name="STR_TASK_CLUB_NAME_35",
		Des="STR_TASK_CLUB_DES_35",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 730002,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730002,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590035]={
		Name="STR_TASK_CLUB_NAME_36",
		Des="STR_TASK_CLUB_DES_36",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590036]={
		Name="STR_TASK_CLUB_NAME_37",
		Des="STR_TASK_CLUB_DES_37",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590037]={
		Name="STR_TASK_CLUB_NAME_38",
		Des="STR_TASK_CLUB_DES_38",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590038]={
		Name="STR_TASK_CLUB_NAME_39",
		Des="STR_TASK_CLUB_DES_39",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590039]={
		Name="STR_TASK_CLUB_NAME_40",
		Des="STR_TASK_CLUB_DES_40",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 730002,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730002,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590040]={
		Name="STR_TASK_CLUB_NAME_41",
		Des="STR_TASK_CLUB_DES_41",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
	PassionAward={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590041]={
		Name="STR_TASK_CLUB_NAME_42",
		Des="STR_TASK_CLUB_DES_42",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590042]={
		Name="STR_TASK_CLUB_NAME_43",
		Des="STR_TASK_CLUB_DES_43",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590043]={
		Name="STR_TASK_CLUB_NAME_44",
		Des="STR_TASK_CLUB_DES_44",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590044]={
		Name="STR_TASK_CLUB_NAME_45",
		Des="STR_TASK_CLUB_DES_45",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 730002,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730002,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590045]={
		Name="STR_TASK_CLUB_NAME_46",
		Des="STR_TASK_CLUB_DES_46",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590046]={
		Name="STR_TASK_CLUB_NAME_47",
		Des="STR_TASK_CLUB_DES_47",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590047]={
		Name="STR_TASK_CLUB_NAME_48",
		Des="STR_TASK_CLUB_DES_48",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	[590048]={
		Name="STR_TASK_CLUB_NAME_49",
		Des="STR_TASK_CLUB_DES_49",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
	
	[590049]={
		Name="STR_TASK_CLUB_NAME_50",
		Des="STR_TASK_CLUB_DES_50",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 6001,
		},	
		TargetPassion={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590050]={
		Name="STR_TASK_CLUB_NAME_51",
		Des="STR_TASK_CLUB_DES_51",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=3,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590051]={
		Name="STR_TASK_CLUB_NAME_52",
		Des="STR_TASK_CLUB_DES_52",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009101,
				monopoly = 0,
				num=1,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590052]={
		Name="STR_TASK_CLUB_NAME_53",
		Des="STR_TASK_CLUB_DES_53",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=2,
			},
			[1] = {
				value = 3314205,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590053]={
		Name="STR_TASK_CLUB_NAME_54",
		Des="STR_TASK_CLUB_DES_54",
		Pro="Mission_RZExclusive",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 3009001,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 3009001,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590054]={
		Name="STR_TASK_CLUB_NAME_55",
		Des="STR_TASK_CLUB_DES_55",
		Pro="Mission_RZExclusive",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3329979,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 4060001,
				monopoly = 3,
				num=10,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590055]={
		Name="STR_TASK_CLUB_NAME_56",
		Des="STR_TASK_CLUB_DES_56",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=2 ,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=2 ,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 215,
			Map_y = 105,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590056]={
		Name="STR_TASK_CLUB_NAME_57",
		Des="STR_TASK_CLUB_DES_57",
		Level=1,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=2 ,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=2 ,
			},
			[1] = {
				value = 3321107,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315885,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 154,
			Map_y = 188,
			Map_id = 10764,
			-- NpcID = 6001,
		}
	},
		[590057]={
		Name="STR_TASK_CLUB_NAME_58",
		Des="STR_TASK_CLUB_DES_58",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3009001,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590058]={
		Name="STR_TASK_CLUB_NAME_59",
		Des="STR_TASK_CLUB_DES_59",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 730003,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730003,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590059]={
		Name="STR_TASK_CLUB_NAME_60",
		Des="STR_TASK_CLUB_DES_60",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=5,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=2,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321077,
				monopoly =3,
				num=5,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590060]={
		Name="STR_TASK_CLUB_NAME_61",
		Des="STR_TASK_CLUB_DES_61",
		Pro="Mission_RZExclusive",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590061]={
		Name="STR_TASK_CLUB_NAME_62",
		Des="STR_TASK_CLUB_DES_62",
		Pro="Mission_RZExclusive",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590062]={
		Name="STR_TASK_CLUB_NAME_63",
		Des="STR_TASK_CLUB_DES_63",
		Pro="Mission_RZExclusive",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590063]={
		Name="STR_TASK_CLUB_NAME_64",
		Des="STR_TASK_CLUB_DES_64",
		Pro="Mission_RZExclusive",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3329979,
				monopoly = 0,
				num=15,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590064]={
		Name="STR_TASK_CLUB_NAME_65",
		Des="STR_TASK_CLUB_DES_65",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590065]={
		Name="STR_TASK_CLUB_NAME_66",
		Des="STR_TASK_CLUB_DES_66",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321107,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321107,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590066]={
		Name="STR_TASK_CLUB_NAME_67",
		Des="STR_TASK_CLUB_DES_67",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590067]={
		Name="STR_TASK_CLUB_NAME_68",
		Des="STR_TASK_CLUB_DES_68",
		Level=2,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321107,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321107,
				monopoly = 0,
				num=5,
			},
			[1] = {
				value = 3312954,
				monopoly = 0,
				num=1,
			},
			[2] = {
				value = 3315886,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590068]={
		Name="STR_TASK_CLUB_NAME_69",
		Des="STR_TASK_CLUB_DES_69",
		Level=3,
		Award_Num=3,
		Award={
			[0] = {
				value = 730004,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730004,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590069]={
		Name="STR_TASK_CLUB_NAME_70",
		Des="STR_TASK_CLUB_DES_70",
		Level=3,
		Award_Num=3,
		Award={
			[0] = {
				value = 730004,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 730004,
				monopoly = 3,
				num=1,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590070]={
		Name="STR_TASK_CLUB_NAME_71",
		Des="STR_TASK_CLUB_DES_71",
		Pro="Mission_RZExclusive",
		Level=3,
		Award_Num=3,
		Award={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3327202,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
		[590071]={
		Name="STR_TASK_CLUB_NAME_72",
		Des="STR_TASK_CLUB_DES_72",
		Level=3,
		Award_Num=3,
		Award={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		PassionAward={
			[0] = {
				value = 3321098,
				monopoly = 0,
				num=10,
			},
			[1] = {
				value = 3314206,
				monopoly =3,
				num=4,
			},
			[2] = {
				value = 3315887,
				monopoly = 0,
				num=1,
			},
		},
		Target={
			Map_x = 361,
			Map_y = 435,
			Map_id = 1002,
			NpcID = 26228,
		},	
		TargetPassion={
			Map_x = 182,
			Map_y = 184,
			Map_id = 1036,
			NpcID = 26228,
		}
	},
}

local function GetTaskUI(index,key)
	local f	
	if(key == nil) then
		f = T_TaskUI[index]
	else
		f = T_TaskUI[index][key]
	end
	return f
end

local function GetTaskData(index,key)
	local f
	if(UserData_IsPassionServer() == true) then
		f = T_TaskData[index][key]
	else
		f = T_TaskData[index][key]
	end
	
	if(f ~=nil)then
	  return f 
	end
	
	return 0
end

local function GetTaskAward(index,info,key)
	local f = {}
	if (UserData_IsPassionServer() == true) and T_TaskData[index]["PassionAward"] ~= nil then
		f = T_TaskData[index]["PassionAward"]
	else
		f = T_TaskData[index]["Award"]
	end
	
	local m = f[info][key]
	if(m ~= nil)then
	  return m
	end
	
	return 0
end

local function GetTaskTarget(index,info)
	local f = {}
	
	if(UserData_IsPassionServer() == true) and T_TaskData[index]["TargetPassion"] ~=nil then
		f = T_TaskData[index]["TargetPassion"]
	else
		f = T_TaskData[index]["Target"]
	end
	
	local m = f[info]
	
	if(m ~= nil)then
	  return m
	end
	
	return 0
end

local function GetAwardBtnPos(Index,key)
	return T_TaskClubAward[Index][key]
end

local function GetTaskConfig(Index)
	return T_TaskClubConfig[Index]
end

local TaskClub = {
	GetTaskUI = GetTaskUI,
	GetTaskData = GetTaskData,
	GetTaskTarget = GetTaskTarget,
	GetTaskAward = GetTaskAward,
	GetTaskConfig = GetTaskConfig,
	GetAwardBtnPos = GetAwardBtnPos,
}

TaskClub_GetTaskUI = TaskClub.GetTaskUI
TaskClub_GetTaskData = TaskClub.GetTaskData
TaskClub_GetTaskTarget = TaskClub.GetTaskTarget
TaskClub_GetTaskAward = TaskClub.GetTaskAward
TaskClub_GetTaskConfig = TaskClub.GetTaskConfig
TaskClub_GetAwardBtnPos= TaskClub.GetAwardBtnPos

return TaskClub
